=== debian/changelog ===
postilion (0.8.9-1) unstable; urgency=low

  * Closed bug #25562 as not reproducible.
  * Closed and resolved bugs #26131 and 26335.
  * Leave postilion binary in /usr/X11R6/lib/postilion.
  * Leave postilion bianry named postilion.exec.
  * New upstream source.

 -- Dale James Thompson <tdale@debian.org>  Sat,  3 Oct 1998 16:57:31 -0500

postilion (0.8.8b-1) unstable; urgency=low

  * Included complete copyright information.
  * Fixed download site in copyright.
  * New upstream source.
  * Fix typo in README.debian.

 -- Dale James Thompson <tdale@debian.org>  Thu, 3 Sep 1998 21:09:08 -0500

postilion (0.8.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed Architecture: in debian/control from i386 to any. Package
    isn't i386 specific.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed,  2 Sep 1998 11:47:22 +0200

postilion (0.8.7-2) unstable; urgency=low

  * Applied prefix.diff from upstream.
  * Applied DSNfix.diff from upstream.
  * Applied iconfix.diff from upstream.

 -- Dale James Thompson <tdale@debian.org>  Wed,  5 Aug 1998 21:00:12 -0500

postilion (0.8.7-1) unstable; urgency=low

  * Initial Release.

 -- Dale James Thompson <tdale@debian.org>  Tue, 28 Jul 1998 21:38:51 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "tdale@debian.org"
End:
