=== debian/control ===
Source: postilion
Section: mail
Priority: optional
Maintainer: Dale James Thompson <tdale@debian.org>
Standards-Version: 2.4.0.0

Package: postilion
Architecture: any
Provides: mail-reader, imap-client
Depends: ${shlibs:Depends}
Description: An X Mail User Agent which handles MIME, PGP and Spelling. 
 It is mainly written in C but the user interface is done in tcl/tk. The
 following is a non exhaustive list of the capabilities:
 .
  * Multilingual Interface
  * MIME Support
  * Composing
  * Multiple Address Books
  * Message Database
  * Virtual Folders
  * Message Hold
  * Watcher
  * Spell Checking "As One Types"
  * POP3 and IMAP Folders
  * Supports Delivery Status Notifications
  * Supports PGP/MIME
